RE-PCR(1)

NAME
re-PCR — Find sequence tagged sites (STS) in DNA sequences

SYNOPSIS

re-PCR [-hV] -p hash-file [-g gaps] [-n mism] [-lq] [primer ...]

re-PCR [-hV] -P hash-file [-g gaps] [-n mism] [-l] [-m margin] [-O+|-] [-C batchcnt] [-o outfile] [-r+|-] [primers-file ...]

re-PCR [-hV] -s hash-file [-g gaps] [-n mism] [-lq] [-m margin] [-o outfile] [-r+|-] [left right lo[-hi] [...]]

re-PCR [-hV] -S hash-file [-g gaps] [-n mism] [-lq] [-m margin] [-O+|-] [-C batchcnt] [-o outfile] [-r+|-] [stsfile ...]

DESCRIPTION

Implements reverse searching (called Reverse e-PCR) to make it feasible to search the human genome sequence and other large genomes by performing STS and primer searches.

OPTIONS

-p=hash-file
    Perform primer lookup using hash-file

-P=hash-file
    Perform primer lookup using hash-file

-s=hash-file
    Perform STS lookup using hash-file

-S=hash-file
    Perform STS lookup using hash-file

-n=mism
    Set max allowed mismatches per primer for lookup

-g=gaps
    Set max allowed indels per primer for lookup

-m=margin
    Set variability for STS size for lookup

-l  Use presize alignments (only if gaps>0)

-G  Print alignments in comments

-d=min-max
    Set default STS size

-r=+|-
    Enable/disable reverse STS lookup

-O=+|-
    Enable/disable syscall optimisation

-C=batchcnt
    Set number of STSes per batch

-o=outfile
    Set output file name

-q  Quiet (no progress indicator)

EXAMPLE

 famap -tN -b genome.famap org/chr_*.fa

 fahash -b genome.hash -w 12 -f3 ${PWD}/genome.famap

 re-PCR -s genome.hash -n1 -g1 ACTATTGATGATGA AGGTAGATGTTTTT 120-200

See famap(1) and fahash(1)

SEE ALSO

/usr/share/doc/ncbi-epcr/README.txt

bioperl(1), e-pcr(1), famap(1) and fahash(1)

AUTHORS

This manual page was written by Andreas Tille <tille@debian.org> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.